import { Component, CUSTOM_ELEMENTS_SCHEMA, OnInit } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { CommonModule } from '@angular/common';
import { Router } from '@angular/router';
import { AlertController, IonSegment, IonCard, IonCardTitle, IonCardSubtitle, IonButton, IonGrid, IonRow, IonToolbar, IonTitle } from '@ionic/angular/standalone';
import { IonSegmentButton, IonCardHeader, IonCardContent, IonCol, IonIcon, IonChip, IonHeader, IonContent } from '@ionic/angular/standalone';

@Component({
  selector: 'app-tab1',
  standalone: true,
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  imports: [
    CommonModule,
    FormsModule,
    IonSegment,IonSegmentButton,IonCard,IonCardHeader,
    IonCardTitle,IonCardSubtitle,IonCardContent,IonButton,
    IonGrid,IonRow,IonCol,IonIcon,IonChip,
    IonHeader,IonContent,IonToolbar,IonTitle
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class Tab1Page implements OnInit {
  // 为幻灯片设置默认的当前索引
  currentSlide: number = 0;

  // 图片列表
  images = [
    'assets/1.png',
    'assets/2.png',
    'assets/3.png'
  ];

  // 其他数据
  selectedTab: string = 'fitnessTips';

  fitnessTips = [
    { title: '没有过度训练，只有恢复不足', subtitle: '恢复不够不如不运动', description: '当训练者觉得自己过度训练时，真正的问题往往出在恢复环节。' },
    { title: '接纳碳水化合物', subtitle: '吃碳水化合物很重要！', description: '运动后补充合适的营养物质能加速恢复和促进肌肉生长，而人体在锻炼后有吸收碳水化合物的倾向，因此锻炼结束后应加餐，大约占一天总碳水化合物摄入量的20%~30%。' },
  ];

  sportsNews = [
    { title: '乒乓球混合团体世界杯：中国队卫冕夺冠', date: '2024-12-08', description: '北京时间12月8日，在四川成都举行的2024年成都国际乒联混合团体世界杯决赛中，中国队以8比1的总比分战胜韩国队，以全胜战绩卫冕夺冠。' },
    { title: '法国公开赛国羽斩获三金', date: '2024-03-11', description: '北京时间3月11日凌晨，巴黎奥运会羽毛球项目测试赛暨2024年法国羽毛球公开赛在巴黎阿迪达斯体育馆结束争夺。' },
  ];

  recoveryTutorials = [
    { title: '全身健身教程，从头到脚', description: '消灭赘肉--全身变紧实' },
    { title: '仰卧哑铃上拉', description: '很多种方法，十分有效' },
  ];

  constructor(private router: Router, private alertController: AlertController) {}

  // ngOnInit 生命周期钩子
  ngOnInit(): void {
    // 如果需要启动自动轮播功能，可以在这里调用
    // 例如：this.startAutoSlide();
  }

  // 显示上一张幻灯片
  prevSlide(): void {
    if (this.currentSlide > 0) {
      this.currentSlide--;
    } else {
      this.currentSlide = this.images.length - 1; // 循环到最后一张
    }
  }

  // 显示下一张幻灯片
  nextSlide(): void {
    if (this.currentSlide < this.images.length - 1) {
      this.currentSlide++;
    } else {
      this.currentSlide = 0; // 循环到第一张
    }
  }

  // 跳转到指定的幻灯片
  goToSlide(index: number): void {
    this.currentSlide = index;
  }
  goNewspage() {
    this.router.navigate(['/tabs/news']); // 跳转到测试BMI页面
  }
  goteachpage() {
    this.router.navigate(['/tabs/teach']); // 跳转到测试BMI页面
  }
  goskillpage() {
    this.router.navigate(['/tabs/skill']); // 跳转到测试BMI页面
  }
}